spark-store (3.5.3) stable; urgency=medium

  * fix: sender-d功能修复


-- shenmo <shenmo@spark-app.store>  Fri, 30 Jan 2022 00:00:00 +0800

spark-store (3.5.2) stable; urgency=medium

  * fix: aptss 转为使用内置的ss-apt-fast指令


-- shenmo <shenmo@spark-app.store>  Fri, 30 Jan 2022 00:00:00 +0800

spark-store (3.5.1.1) stable; urgency=medium

  * fix: aptss shebang 修复


-- shenmo <shenmo@spark-app.store>  Fri, 30 Jan 2022 00:00:00 +0800

spark-store (3.5.1) stable; urgency=medium

  * fix: 搜索修复，在appinfo界面可以正常搜索


-- shenmo <shenmo@spark-app.store>  Fri, 30 Jan 2022 00:00:00 +0800

spark-store (3.5) stable; urgency=medium

  * feat: 搜索转为使用网页，提高加载速度和用户体验
  * 下载软件时指定DNS,修复移动网络问题
  * 准备进入LTS阶段

-- shenmo <shenmo@spark-app.store>  Fri, 30 Jan 2022 00:00:00 +0800

spark-store (3.4~test1) stable; urgency=medium

  * feat: aptss不再尝试安装apt-fast，转而自带
  * chore:  删除password-check模块

-- shenmo <shenmo@spark-app.store>  Fri, 30 Jan 2022 00:00:00 +0800

spark-store (3.3.3) stable; urgency=medium

  * feat: 首页链接调用浏览器打开 

-- shenmo <shenmo@spark-app.store>  Fri, 30 Jan 2022 00:00:00 +0800

0spark-store (3.3.3~test5) stable; urgency=medium

  * 修复可能的内存泄漏问题
  * 修复应用搜索为空但仍显示上一次搜索结果的问题
  * 修复动画加载延后的问题
  * 修复统计下载量卡主渲染线程的问题

-- shenmo <shenmo@spark-app.store>  Fri, 30 Jan 2022 00:00:00 +0800


spark-store (3.3.3~test4) stable; urgency=medium

  * Enable i386 arch support by default

-- shenmo <shenmo@spark-app.store>  Fri, 30 Jan 2022 00:00:00 +0800

spark-store (3.3.3~test3) stable; urgency=medium

  * Now use ss-apt-fast instead of apt-fast
  * 修复：右上角 更新和安装设置 菜单中进入更新列表失效

-- shenmo <shenmo@spark-app.store>  Fri, 30 Jan 2022 00:00:00 +0800

spark-store (3.3.3~test2) stable; urgency=medium

  * bug fix: 更新和检查更新出错时不报错.此更新需要一个推送

-- shenmo <shenmo@spark-app.store>  Fri, 30 Jan 2022 00:00:00 +0800

spark-store (3.3.3~test1) stable; urgency=medium

  * 3.3.3将会是修复大部分bug后的最终版本
  * 图形环境中所有root权限的组件剥离到cli(可用于deepin 23 daily，只保证商店本体正常运作，不处理安装依赖不满足)
  * 文案更改：更新检查-->检查更新

-- shenmo <shenmo@spark-app.store>  Fri, 30 Jan 2022 00:00:00 +0800

spark-store (3.3.1~test1) stable; urgency=medium

  * 安装时不再需要联网

-- shenmo <shenmo@spark-app.store>  Fri, 30 Jan 2022 00:00:00 +0800

spark-store (3.3.0.4) stable; urgency=medium

  * 为减轻服务器压力，不再单独更新某一个应用，而是作为整体更新


-- shenmo <shenmo@spark-app.store>  Fri, 30 Jan 2022 00:00:00 +0800

spark-store (3.3.0.3) stable; urgency=medium

  * 回滚 更新中行为到进度条而不是实时输出
  * 更新应用时显示正在更新哪个应用


-- shenmo <shenmo@spark-app.store>  Fri, 30 Jan 2022 00:00:00 +0800

spark-store (3.3.0.2) stable; urgency=medium

  * 修复 pkexec未执行


-- shenmo <shenmo@spark-app.store>  Fri, 30 Jan 2022 00:00:00 +0800

spark-store (3.3.0.1) stable; urgency=medium

  * 修复 检查更新的更新进程未实际运行


-- shenmo <shenmo@spark-app.store>  Fri, 30 Jan 2022 00:00:00 +0800

spark-store (3.3) stable; urgency=medium

  * 修复 检查更新 未刷新软件源
  * 把检查更新单独拿出作为左列

-- shenmo <shenmo@spark-app.store>  Fri, 30 Jan 2022 00:00:00 +0800

spark-store (3.3~test3) stable; urgency=medium

  * 把检查更新加入免密码

-- shenmo <shenmo@spark-app.store>  Fri, 30 Jan 2022 00:00:00 +0800

spark-store (3.3~test2) stable; urgency=medium

  * 更新检测功能全部更改到zenity

-- shenmo <shenmo@spark-app.store>  Fri, 30 Jan 2022 00:00:00 +0800

spark-store (3.3~test1) stable; urgency=medium

  * zenity，选择可更新应用
  * 自动更新检测现在会跳过hold

-- shenmo <shenmo@spark-app.store>  Fri, 30 Jan 2022 00:00:00 +0800

spark-store (3.2.4) stable; urgency=medium

  * 修改tag相关的文案内容：wine相关环境已可自动配置了
  * 准备发版

-- shenmo <shenmo@spark-app.store>  Fri, 30 Jan 2022 00:00:00 +0800

spark-store (3.2.4~test4) stable; urgency=medium

  * 现在在商店启动后点击spk链接仍会正常启动 https://gitee.com/deepin-community-store/spark-store/commit/dd6780d636042bf12d77414e6f1552cc7d1ed24c
  



-- shenmo <shenmo@spark-app.store>  Fri, 30 Jan 2022 00:00:00 +0800

spark-store (3.2.4~test3) stable; urgency=medium

  * 发版，合入到master
  * 翻译完毕
  * 合入先前的各项改动，为：客户端集成投稿器入口和支持，修复：安装依赖时间较长时错误地返回“安装完毕”结果，现在客户端版本更新时不关闭免密码登录，UOS安装进程合并正常aptss中



-- shenmo <shenmo@spark-app.store>  Fri, 30 Jan 2022 00:00:00 +0800

spark-store (3.2.4~test2) stable; urgency=medium

  * 客户端集成投稿器入口和支持
  * 修复：安装依赖时间较长时错误地返回“安装完毕”结果



-- shenmo <shenmo@spark-app.store>  Fri, 30 Jan 2022 00:00:00 +0800

spark-store (3.2.4~test1) stable; urgency=medium

  * 客户端更新时不关闭免密码登录
  * UOS合并正常aptss中


-- shenmo <shenmo@spark-app.store>  Fri, 30 Jan 2022 00:00:00 +0800

spark-store (3.2.3) stable; urgency=medium

  * 客户端异常退出时仍然占用资源问题修复
  * 降低dtk依赖版本，Debian 11 stable可直接安装

-- shenmo <shenmo@spark-app.store>  Fri, 30 Jan 2022 00:00:00 +0800

spark-store (3.2.2) stable; urgency=medium

  * aptss will now refresh the system source before doing install,  policy....etc
  * 启动客户端GPU加速支持

-- shenmo <shenmo@spark-app.store>  Fri, 30 Jan 2022 00:00:00 +0800

spark-store (3.2.1) stable; urgency=medium

  * 更改刷新系统源的功能


-- shenmo <shenmo@spark-app.store>  Fri, 30 Jan 2022 00:00:00 +0800

spark-store (3.2) stable; urgency=medium

  * 新增 下载量统计功能
  * 新增 显示下载量
  * 修复 spk链接生成错误
  * 调整 启动时检测商店applist源
  * 新增 applist cdn加速
  * 调整 ssupdate不再更新/etc/aptss下的cache，如要如此，请使用aptss update
  * 修复 在更新检测设置中的是否开启自动更新检测设置项的显示不随开启或关闭状态改变
  * 修复 在检测更新时临时降低优先级到100，防止系统中有且版本一致的包被反复来回更新 

-- shenmo <shenmo@spark-app.store>  Fri, 30 Jan 2022 00:00:00 +0800

spark-store (3.1.6) stable; urgency=medium

  * 修复部分情况下无法选中正确的镜像源的问题
  * 合入3.1.5以来的各项修改

-- shenmo <shenmo@spark-app.store>  Fri, 30 Jan 2022 00:00:00 +0800

spark-store (3.1.5-5) stable; urgency=medium

  * 从所有镜像源中选取最快镜像源高速下载

-- shenmo <shenmo@spark-app.store>  Fri, 30 Jan 2022 00:00:00 +0800


spark-store (3.1.5-4) stable; urgency=medium

  * 更改ss-apt-fast策略，现在只会在update，ssupdate和没有检测到配置文件的时候更新配置文件
  * 新增ss-apt-fast别名：aptss 
  * 更新检测服务优化：从分体改为一体
  * aptss 支持自动补全

-- shenmo <shenmo@spark-app.store>  Fri, 30 Jan 2022 00:00:00 +0800

spark-store (3.1.5-3) stable; urgency=medium

  * 包内自带密钥


-- shenmo <shenmo@spark-app.store>  Fri, 30 Jan 2022 00:00:00 +0800

spark-store (3.1.5-2) stable; urgency=medium

  * 下载软件时跳过获取大小，修复部分软件无法下载的问题
  * 修复 获取key时出错，指定使用http1.1


-- shenmo <shenmo@spark-app.store>  Fri, 30 Jan 2022 00:00:00 +0800

spark-store (3.1.5-1) stable; urgency=medium

  * 改变更新策略，UOS也下载加速，但是安装不加速



-- shenmo <shenmo@spark-app.store>  Fri, 30 Jan 2022 00:00:00 +0800

spark-store (3.1.5) stable; urgency=medium

  * 改变更新策略，现在支持应用在更新时引入新依赖
  * ss-apt-fast现在默认允许降级，以与apt使用体验一致


-- shenmo <shenmo@spark-app.store>  Fri, 30 Jan 2022 00:00:00 +0800

spark-store (3.1.4-2) stable; urgency=medium

  * 客户端下载使用metalink来支持bt下载加速
  * 修复使用更新和安装设置更新商店本体时出错


-- shenmo <shenmo@spark-app.store>  Fri, 30 Jan 2022 00:00:00 +0800

spark-store (3.1.4-1) stable; urgency=medium

  * 安装脚本和检测更新脚本检查网络时间超时时间延长至5s  
  * 修复：ssinstall在没有安装apt-fast的情况下首次安装需要依赖的软件时安装失败 

-- shenmo <shenmo@spark-app.store>  Fri, 30 Jan 2022 00:00:00 +0800

spark-store (3.1.4) stable; urgency=medium

  * 发布正式版，同步到官网
  * 修复安装时使用wget的问题
  * 合并3.1.3-1和3.1.3-2的更改
  * 屏蔽了ssinstall之外的安装方式
  * 调整了报错框的形式
  * 修复pkexec下ssinstall不处理依赖

 -- shenmo <shenmo@spark-app.store>  Fri, 30 Jan 2022 00:00:00 +0800

spark-store (3.1.3-2) stable; urgency=medium

  * 调整 现在与系统更新分开，不再导致更新失败
  * 支持直接更新软件源文件，不再让d.吃全部更新流量
  * ss-apt-fast不再强制root权限
  * 修改ss-apt-fast的策略，现在除了安装，下载和更新都改用apt
  * ssinstall 现在也会在不适用ss-apt-fast的时候模拟源了（针对UOS）


 -- shenmo <shenmo@spark-app.store>  Fri, 30 Jan 2022 00:00:00 +0800

spark-store (3.1.3-1) stable; urgency=medium

  * 修复 下载提前退出
  * 移除 下载量显示


 -- shenmo <shenmo@spark-app.store>  Fri, 30 Jan 2022 00:00:00 +0800

spark-store (3.1.3) stable; urgency=medium

  * Now uses aria2 to download softwares form all mirrors
  * 新增：ssinstall现在会在没有apt-fast的时候自动安装
  * 新增：ss-apt-fast现在会在没有apt-fast的时候自动安装
  * 修改：删除ssinstall中无用的 || dpkg -P $1
  * 新增：ss-apt-fast会先下载云上的conf以确保mirror是最新的
  * 修复：去除wget指令

 -- shenmo <shenmo@spark-app.store>  Fri, 30 Jan 2022 00:00:00 +0800

spark-store (3.1.2) stable; urgency=medium

  * Now let apt-fast method support all mirrors
  * Now will download dependencies and upgrade with all mirrors

 -- shenmo <shenmo@spark-app.store>  Mon, 17 Jan 2022 00:00:00 +0800




spark-store (3.1.1) stable; urgency=medium

  * Now will delete the link of policy file after uninstall or upgrade
  * Now ss-update-controler will create symbol link instead of hard link

 -- shenmo <shenmo@spark-app.store>  Mon, 17 Jan 2022 00:00:00 +0800




spark-store (3.1.0) stable; urgency=medium

  * Add pkexec policy: ssinstall. Only will be enabled after permitted.
  * Modify ssinistall script: Now will ask for password when not run as root

 -- shenmo <shenmo@spark-app.store>  Mon, 17 Jan 2022 00:00:00 +0800



spark-store (3.0.3-13) stable; urgency=medium

  * Update the ssinstall script. Now support apt-fast and will temporarily increase the spark store source priority to 500 to make depends install correctly
  * Change the style of About Dialog
  * Modified depends to avoid Deb installers can not handle "Provides"

 -- shenmo <shenmo@spark-app.store>  Mon, 17 Jan 2022 00:00:00 +0800



spark-store (3.0.3-12) stable; urgency=medium

  * Rollback to use DApplication::loadDXcbPlugin() to make titlebar behave normally in ubuntu
  * Now can run on Debian 11
  * Now can run on Ubuntu 22.04

 -- shenmo <shenmo@spark-app.store>  Mon, 17 Jan 2022 00:00:00 +0800




spark-store (3.0.3-11) stable; urgency=medium

  * Now support autoupdate

 -- shenmo <shenmo@spark-app.store>  Mon, 17 Jan 2022 00:00:00 +0800




spark-store (3.0.3-10) stable; urgency=medium

  * Now also compile dstore patch

 -- shenmo <shenmo@spark-app.store>  Mon, 17 Jan 2022 00:00:00 +0800


spark-store (3.0.3-9) stable; urgency=medium

  * Support dpkg-buildpackage

 -- shenmo <shenmo@spark-app.store>  Mon, 17 Jan 2022 00:00:00 +0800
